Subject: Re: Git server eats all memory

From: Ivan Kanis <[email-masked]>
Date: Wed, 11 Aug 2010 17:54:50 +0200

Hi Robin,

"Robin H. Johnson" <[email-masked]> wrote:

> On Wed, Aug 04, 2010 at 04:57:39PM +0200,  Ivan Kanis wrote:
>> I am wondering if anyone has seen this behavior? I'll do whatever I can
>> to troubleshoot the problem. I know C but I just don't know where to
>> look at. Any help would be very much appreciated.
>
> Multiple concurrent full clones push the server into swap. We had 16GiB
> of RAM, and this was still occurring.

Glad I am not the only one seeing this :D

> Our temporary solution plan is via hooks, if you're asking for a item
> before a certain point, throw an error telling you to download a
> git-bundle from a given URL instead (as a bonus you can resume that
> trivially).

I don't understand the solution... Do you have snippet of the hook?

Take care,
-- 
Ivan Kanis
http://kanis.fr